## r-bioc-pcamethods 1.70.0

=== DESCRIPTION ===
Package: pcaMethods
Maintainer: Henning Redestig <henning.red@gmail.com>
License: GPL (>= 3)
Title: A collection of PCA methods
LinkingTo: Rcpp
LazyLoad: Yes
Author: Wolfram Stacklies, Henning Redestig, Kevin Wright
SystemRequirements: Rcpp
Description: Provides Bayesian PCA, Probabilistic PCA, Nipals PCA,
    Inverse Non-Linear PCA and the conventional SVD PCA. A cluster
    based method for missing value estimation is included for
    comparison. BPCA, PPCA and NipalsPCA may be used to perform PCA
    on incomplete data as well as for accurate missing value
    estimation. A set of methods for printing and plotting the
    results is also provided. All PCA methods make use of the same
    data structure (pcaRes) to provide a common interface to the
    PCA results. Initiated at the Max-Planck Institute for
    Molecular Plant Physiology, Golm, Germany.
Version: 1.70.0
URL: https://github.com/hredestig/pcamethods
BugReports: https://github.com/hredestig/pcamethods/issues
Depends: Biobase, methods
Imports: BiocGenerics, Rcpp (>= 0.11.3), MASS
Suggests: matrixStats, lattice, ggplot2
Collate: 'derrorHierarchic.R' 'errorHierarchic.R' 'AllClasses.R'
        'AllGenerics.R' 'BPCA_dostep.R' 'BPCA_initmodel.R' 'bpca.R'
        'checkData.R' 'forkNlpcaNet.R' 'kEstimate.R' 'kEstimateFast.R'
        'lineSearch.R' 'llsImpute.R' 'methods-ExpressionSet.R'
        'methods-nniRes.R' 'methods-pcaRes.R' 'nipalsPca.R' 'nlpca.R'
        'optiAlgCgd.R' 'orth.R' 'pca.R' 'pcaMethods-package.R' 'ppca.R'
        'prep.R' 'repmat.R' 'robustPca.R' 'sortFeatures.R'
        'svdImpute.R' 'vector2matrices.R' 'xval.R'
Packaged: 2017-10-30 22:46:39 UTC; biocbuild
biocViews: Bayesian
RoxygenNote: 5.0.1
NeedsCompilation: yes

=== debian/changelog ===
r-bioc-pcamethods (1.70.0-1) unstable; urgency=medium

  * Initial release (closes: #892524)

 -- Andreas Tille <tille@debian.org>  Sat, 10 Mar 2018 08:08:58 +0100

=== debian/control ===
Source: r-bioc-pcamethods
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-bioc-biobase,
               r-bioc-biocgenerics,
               r-cran-rcpp (>= 0.11.3),
               r-cran-mass
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-pcamethods
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-pcamethods.git
Homepage: https://bioconductor.org/packages/pcaMethods/

Package: r-bioc-pcamethods
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor collection of PCA methods
 Provides Bayesian PCA, Probabilistic PCA, Nipals PCA,
 Inverse Non-Linear PCA and the conventional SVD PCA. A cluster
 based method for missing value estimation is included for
 comparison. BPCA, PPCA and NipalsPCA may be used to perform PCA
 on incomplete data as well as for accurate missing value
 estimation. A set of methods for printing and plotting the
 results is also provided. All PCA methods make use of the same
 data structure (pcaRes) to provide a common interface to the
 PCA results. Initiated at the Max-Planck Institute for
 Molecular Plant Physiology, Golm, Germany.

## r-bioc-pcamethods 1.72.0

=== DESCRIPTION ===
--- 
+++ 
@@ -16,7 +16,7 @@
     data structure (pcaRes) to provide a common interface to the
     PCA results. Initiated at the Max-Planck Institute for
     Molecular Plant Physiology, Golm, Germany.
-Version: 1.70.0
+Version: 1.72.0
 URL: https://github.com/hredestig/pcamethods
 BugReports: https://github.com/hredestig/pcamethods/issues
 Depends: Biobase, methods
@@ -30,7 +30,7 @@
         'optiAlgCgd.R' 'orth.R' 'pca.R' 'pcaMethods-package.R' 'ppca.R'
         'prep.R' 'repmat.R' 'robustPca.R' 'sortFeatures.R'
         'svdImpute.R' 'vector2matrices.R' 'xval.R'
-Packaged: 2017-10-30 22:46:39 UTC; biocbuild
+Packaged: 2018-04-30 22:52:38 UTC; biocbuild
 biocViews: Bayesian
 RoxygenNote: 5.0.1
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-pcamethods (1.72.0-1build1) cosmic; urgency=medium

  * No-change rebuild against r-api-3.5

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 01 Jun 2018 14:44:36 +0000

r-bioc-pcamethods (1.72.0-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Add references to registries.

  [ Andreas Tille ]
  * New upstream version
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Sat, 05 May 2018 12:36:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: r-bioc-pcamethods
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
@@ -10,7 +10,7 @@
                r-bioc-biocgenerics,
                r-cran-rcpp (>= 0.11.3),
                r-cran-mass
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-pcamethods
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-pcamethods.git
 Homepage: https://bioconductor.org/packages/pcaMethods/

## r-bioc-pcamethods 1.74.0

=== DESCRIPTION ===
--- 
+++ 
@@ -16,7 +16,7 @@
     data structure (pcaRes) to provide a common interface to the
     PCA results. Initiated at the Max-Planck Institute for
     Molecular Plant Physiology, Golm, Germany.
-Version: 1.72.0
+Version: 1.74.0
 URL: https://github.com/hredestig/pcamethods
 BugReports: https://github.com/hredestig/pcamethods/issues
 Depends: Biobase, methods
@@ -30,7 +30,12 @@
         'optiAlgCgd.R' 'orth.R' 'pca.R' 'pcaMethods-package.R' 'ppca.R'
         'prep.R' 'repmat.R' 'robustPca.R' 'sortFeatures.R'
         'svdImpute.R' 'vector2matrices.R' 'xval.R'
-Packaged: 2018-04-30 22:52:38 UTC; biocbuild
+Packaged: 2018-10-30 22:55:56 UTC; biocbuild
 biocViews: Bayesian
 RoxygenNote: 5.0.1
+git_url: https://git.bioconductor.org/packages/pcaMethods
+git_branch: RELEASE_3_8
+git_last_commit: 1b8f0a5
+git_last_commit_date: 2018-10-30
+Date/Publication: 2018-10-30
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-pcamethods (1.74.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1

 -- Dylan Aïssi <daissi@debian.org>  Thu, 15 Nov 2018 08:08:47 +0100

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper (>= 11~),
                dh-r,
@@ -10,7 +11,7 @@
                r-bioc-biocgenerics,
                r-cran-rcpp (>= 0.11.3),
                r-cran-mass
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-pcamethods
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-pcamethods.git
 Homepage: https://bioconductor.org/packages/pcaMethods/

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https:$1packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/pcaMethods.html .*/pcaMethods_(.*).tar.gz

## r-bioc-pcamethods 1.76.0

=== DESCRIPTION ===
--- 
+++ 
@@ -16,9 +16,10 @@
     data structure (pcaRes) to provide a common interface to the
     PCA results. Initiated at the Max-Planck Institute for
     Molecular Plant Physiology, Golm, Germany.
-Version: 1.74.0
+Version: 1.76.0
 URL: https://github.com/hredestig/pcamethods
 BugReports: https://github.com/hredestig/pcamethods/issues
+Encoding: UTF-8
 Depends: Biobase, methods
 Imports: BiocGenerics, Rcpp (>= 0.11.3), MASS
 Suggests: matrixStats, lattice, ggplot2
@@ -30,12 +31,12 @@
         'optiAlgCgd.R' 'orth.R' 'pca.R' 'pcaMethods-package.R' 'ppca.R'
         'prep.R' 'repmat.R' 'robustPca.R' 'sortFeatures.R'
         'svdImpute.R' 'vector2matrices.R' 'xval.R'
-Packaged: 2018-10-30 22:55:56 UTC; biocbuild
+Packaged: 2019-05-02 23:46:05 UTC; biocbuild
 biocViews: Bayesian
-RoxygenNote: 5.0.1
+RoxygenNote: 6.1.1
 git_url: https://git.bioconductor.org/packages/pcaMethods
-git_branch: RELEASE_3_8
-git_last_commit: 1b8f0a5
-git_last_commit_date: 2018-10-30
-Date/Publication: 2018-10-30
+git_branch: RELEASE_3_9
+git_last_commit: 5db9953
+git_last_commit_date: 2019-05-02
+Date/Publication: 2019-05-02
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-pcamethods (1.76.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * rename debian/tests/control.autodep8 to debian/tests/control

 -- Andreas Tille <tille@debian.org>  Wed, 03 Jul 2019 14:51:39 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-bioc-biobase,
                r-bioc-biocgenerics,
-               r-cran-rcpp (>= 0.11.3),
+               r-cran-rcpp,
                r-cran-mass
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-pcamethods
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-pcamethods.git
 Homepage: https://bioconductor.org/packages/pcaMethods/

## r-bioc-pcamethods 1.78.0

=== DESCRIPTION ===
--- 
+++ 
@@ -16,7 +16,7 @@
     data structure (pcaRes) to provide a common interface to the
     PCA results. Initiated at the Max-Planck Institute for
     Molecular Plant Physiology, Golm, Germany.
-Version: 1.76.0
+Version: 1.78.0
 URL: https://github.com/hredestig/pcamethods
 BugReports: https://github.com/hredestig/pcamethods/issues
 Encoding: UTF-8
@@ -31,12 +31,12 @@
         'optiAlgCgd.R' 'orth.R' 'pca.R' 'pcaMethods-package.R' 'ppca.R'
         'prep.R' 'repmat.R' 'robustPca.R' 'sortFeatures.R'
         'svdImpute.R' 'vector2matrices.R' 'xval.R'
-Packaged: 2019-05-02 23:46:05 UTC; biocbuild
+Packaged: 2019-10-29 23:43:08 UTC; biocbuild
 biocViews: Bayesian
 RoxygenNote: 6.1.1
 git_url: https://git.bioconductor.org/packages/pcaMethods
-git_branch: RELEASE_3_9
-git_last_commit: 5db9953
-git_last_commit_date: 2019-05-02
-Date/Publication: 2019-05-02
+git_branch: RELEASE_3_10
+git_last_commit: 0ae2f05
+git_last_commit_date: 2019-10-29
+Date/Publication: 2019-10-29
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-pcamethods (1.78.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:24:11 +0100

r-bioc-pcamethods (1.78.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fixed debian/watch for BioConductor
  * debhelper-compat 12
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Fri, 08 Nov 2019 23:51:06 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-bioc-biobase,
                r-bioc-biocgenerics,
                r-cran-rcpp,
                r-cran-mass
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-pcamethods
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-pcamethods.git
 Homepage: https://bioconductor.org/packages/pcaMethods/

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/pcaMethods.html .*/pcaMethods_(.*).tar.gz

## r-bioc-pcamethods 1.80.0

=== DESCRIPTION ===
--- 
+++ 
@@ -16,7 +16,7 @@
     data structure (pcaRes) to provide a common interface to the
     PCA results. Initiated at the Max-Planck Institute for
     Molecular Plant Physiology, Golm, Germany.
-Version: 1.78.0
+Version: 1.80.0
 URL: https://github.com/hredestig/pcamethods
 BugReports: https://github.com/hredestig/pcamethods/issues
 Encoding: UTF-8
@@ -31,12 +31,12 @@
         'optiAlgCgd.R' 'orth.R' 'pca.R' 'pcaMethods-package.R' 'ppca.R'
         'prep.R' 'repmat.R' 'robustPca.R' 'sortFeatures.R'
         'svdImpute.R' 'vector2matrices.R' 'xval.R'
-Packaged: 2019-10-29 23:43:08 UTC; biocbuild
+Packaged: 2020-04-27 23:52:18 UTC; biocbuild
 biocViews: Bayesian
 RoxygenNote: 6.1.1
 git_url: https://git.bioconductor.org/packages/pcaMethods
-git_branch: RELEASE_3_10
-git_last_commit: 0ae2f05
-git_last_commit_date: 2019-10-29
-Date/Publication: 2019-10-29
+git_branch: RELEASE_3_11
+git_last_commit: b839238
+git_last_commit_date: 2020-04-27
+Date/Publication: 2020-04-27
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-pcamethods (1.80.0-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 16:24:24 +0000

r-bioc-pcamethods (1.80.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sun, 17 May 2020 10:24:27 +0200

r-bioc-pcamethods (1.78.0-3) unstable; urgency=medium

  * Team Upload.
  * Update Test Depends (Fixes debci)

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 26 Apr 2020 16:38:22 +0530

r-bioc-pcamethods (1.78.0-2) unstable; urgency=medium

  [ Nilesh Patra ]
  * Team Upload.
  * Add missing depends for autopkgtest
  * Add "Rules-Requires-Root:no"
  * Bump standards version to 4.5.0

  [ Andreas Tille ]
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 03 Mar 2020 00:42:50 +0530

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,11 @@
                r-bioc-biocgenerics,
                r-cran-rcpp,
                r-cran-mass
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-pcamethods
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-pcamethods.git
 Homepage: https://bioconductor.org/packages/pcaMethods/
+Rules-Requires-Root: no
 
 Package: r-bioc-pcamethods
 Architecture: any

## r-bioc-pcamethods 1.82.0

=== DESCRIPTION ===
--- 
+++ 
@@ -16,7 +16,7 @@
     data structure (pcaRes) to provide a common interface to the
     PCA results. Initiated at the Max-Planck Institute for
     Molecular Plant Physiology, Golm, Germany.
-Version: 1.80.0
+Version: 1.82.0
 URL: https://github.com/hredestig/pcamethods
 BugReports: https://github.com/hredestig/pcamethods/issues
 Encoding: UTF-8
@@ -31,12 +31,12 @@
         'optiAlgCgd.R' 'orth.R' 'pca.R' 'pcaMethods-package.R' 'ppca.R'
         'prep.R' 'repmat.R' 'robustPca.R' 'sortFeatures.R'
         'svdImpute.R' 'vector2matrices.R' 'xval.R'
-Packaged: 2020-04-27 23:52:18 UTC; biocbuild
+Packaged: 2020-10-28 02:17:03 UTC; biocbuild
 biocViews: Bayesian
 RoxygenNote: 6.1.1
 git_url: https://git.bioconductor.org/packages/pcaMethods
-git_branch: RELEASE_3_11
-git_last_commit: b839238
-git_last_commit_date: 2020-04-27
-Date/Publication: 2020-04-27
+git_branch: RELEASE_3_12
+git_last_commit: d500b33
+git_last_commit_date: 2020-10-27
+Date/Publication: 2020-10-27
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-pcamethods (1.82.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 02 Nov 2020 15:07:53 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-biobase,

## r-bioc-pcamethods 1.86.0

=== DESCRIPTION ===
--- 
+++ 
@@ -16,7 +16,7 @@
     data structure (pcaRes) to provide a common interface to the
     PCA results. Initiated at the Max-Planck Institute for
     Molecular Plant Physiology, Golm, Germany.
-Version: 1.82.0
+Version: 1.86.0
 URL: https://github.com/hredestig/pcamethods
 BugReports: https://github.com/hredestig/pcamethods/issues
 Encoding: UTF-8
@@ -31,12 +31,12 @@
         'optiAlgCgd.R' 'orth.R' 'pca.R' 'pcaMethods-package.R' 'ppca.R'
         'prep.R' 'repmat.R' 'robustPca.R' 'sortFeatures.R'
         'svdImpute.R' 'vector2matrices.R' 'xval.R'
-Packaged: 2020-10-28 02:17:03 UTC; biocbuild
+Packaged: 2021-10-26 22:16:41 UTC; biocbuild
 biocViews: Bayesian
 RoxygenNote: 6.1.1
 git_url: https://git.bioconductor.org/packages/pcaMethods
-git_branch: RELEASE_3_12
-git_last_commit: d500b33
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
+git_branch: RELEASE_3_14
+git_last_commit: 9419cfa
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-pcamethods (1.86.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.86.0

 -- Nilesh Patra <nilesh@debian.org>  Wed, 24 Nov 2021 21:15:30 +0530

r-bioc-pcamethods (1.84.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 03 Sep 2021 14:27:36 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                r-bioc-biocgenerics,
                r-cran-rcpp,
                r-cran-mass
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-pcamethods
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-pcamethods.git
 Homepage: https://bioconductor.org/packages/pcaMethods/

## r-bioc-pcamethods 1.88.0

=== DESCRIPTION ===
--- 
+++ 
@@ -16,7 +16,7 @@
     data structure (pcaRes) to provide a common interface to the
     PCA results. Initiated at the Max-Planck Institute for
     Molecular Plant Physiology, Golm, Germany.
-Version: 1.86.0
+Version: 1.88.0
 URL: https://github.com/hredestig/pcamethods
 BugReports: https://github.com/hredestig/pcamethods/issues
 Encoding: UTF-8
@@ -31,12 +31,12 @@
         'optiAlgCgd.R' 'orth.R' 'pca.R' 'pcaMethods-package.R' 'ppca.R'
         'prep.R' 'repmat.R' 'robustPca.R' 'sortFeatures.R'
         'svdImpute.R' 'vector2matrices.R' 'xval.R'
-Packaged: 2021-10-26 22:16:41 UTC; biocbuild
+Packaged: 2022-04-26 21:31:26 UTC; biocbuild
 biocViews: Bayesian
 RoxygenNote: 6.1.1
 git_url: https://git.bioconductor.org/packages/pcaMethods
-git_branch: RELEASE_3_14
-git_last_commit: 9419cfa
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 02fb58d
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-pcamethods (1.88.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 13 May 2022 13:43:55 +0200

## r-bioc-pcamethods 1.90.0

=== DESCRIPTION ===
--- 
+++ 
@@ -16,7 +16,7 @@
     data structure (pcaRes) to provide a common interface to the
     PCA results. Initiated at the Max-Planck Institute for
     Molecular Plant Physiology, Golm, Germany.
-Version: 1.88.0
+Version: 1.90.0
 URL: https://github.com/hredestig/pcamethods
 BugReports: https://github.com/hredestig/pcamethods/issues
 Encoding: UTF-8
@@ -31,12 +31,12 @@
         'optiAlgCgd.R' 'orth.R' 'pca.R' 'pcaMethods-package.R' 'ppca.R'
         'prep.R' 'repmat.R' 'robustPca.R' 'sortFeatures.R'
         'svdImpute.R' 'vector2matrices.R' 'xval.R'
-Packaged: 2022-04-26 21:31:26 UTC; biocbuild
+Packaged: 2022-11-01 22:25:32 UTC; biocbuild
 biocViews: Bayesian
 RoxygenNote: 6.1.1
 git_url: https://git.bioconductor.org/packages/pcaMethods
-git_branch: RELEASE_3_15
-git_last_commit: 02fb58d
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: 52474bc
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-pcamethods (1.90.0-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 17:18:20 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                r-bioc-biocgenerics,
                r-cran-rcpp,
                r-cran-mass
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-pcamethods
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-pcamethods.git
 Homepage: https://bioconductor.org/packages/pcaMethods/

=== debian/tests/control ===
Tests: vignette
Depends: @, r-cran-vdiffr, r-cran-matrixstats, r-cran-lattice, r-cran-ggplot2
Restrictions: allow-stderr

## r-bioc-pcamethods 1.92.0

=== DESCRIPTION ===
--- 
+++ 
@@ -16,7 +16,7 @@
     data structure (pcaRes) to provide a common interface to the
     PCA results. Initiated at the Max-Planck Institute for
     Molecular Plant Physiology, Golm, Germany.
-Version: 1.90.0
+Version: 1.92.0
 URL: https://github.com/hredestig/pcamethods
 BugReports: https://github.com/hredestig/pcamethods/issues
 Encoding: UTF-8
@@ -31,12 +31,12 @@
         'optiAlgCgd.R' 'orth.R' 'pca.R' 'pcaMethods-package.R' 'ppca.R'
         'prep.R' 'repmat.R' 'robustPca.R' 'sortFeatures.R'
         'svdImpute.R' 'vector2matrices.R' 'xval.R'
-Packaged: 2022-11-01 22:25:32 UTC; biocbuild
+Packaged: 2023-04-25 22:11:44 UTC; biocbuild
 biocViews: Bayesian
 RoxygenNote: 6.1.1
 git_url: https://git.bioconductor.org/packages/pcaMethods
-git_branch: RELEASE_3_16
-git_last_commit: 52474bc
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: ecbbc5b
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-pcamethods (1.92.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Convert from d/t/control to d/t/autopkgtest-pkg-r.conf

 -- Andreas Tille <tille@debian.org>  Thu, 20 Jul 2023 23:06:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: r-bioc-pcamethods
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-pcamethods
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-pcamethods.git
+Homepage: https://bioconductor.org/packages/pcaMethods/
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-biobase,
                r-bioc-biocgenerics,
-               r-cran-rcpp,
+               r-cran-rcpp (>= 0.11.3),
                r-cran-mass
-Standards-Version: 4.6.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-pcamethods
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-pcamethods.git
-Homepage: https://bioconductor.org/packages/pcaMethods/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-pcamethods
 Architecture: any

## r-bioc-pcamethods 1.94.0

=== DESCRIPTION ===
--- 
+++ 
@@ -5,6 +5,19 @@
 LinkingTo: Rcpp
 LazyLoad: Yes
 Author: Wolfram Stacklies, Henning Redestig, Kevin Wright
+Authors@R: 
+  c(person(given="Wolfram",
+           family="Stacklies",
+           role=c("aut")),
+    person(given="Henning",
+           family="Redestig",
+           email="henning.red@gmail.com",
+           comment=c(ORCID="0000-0003-2130-9288"),
+           role=c("aut","cre")),
+    person(given="Kevin",
+           family="Wright",
+           comment=c(ORCID="0000-0002-0617-8673"),
+           role="aut"))
 SystemRequirements: Rcpp
 Description: Provides Bayesian PCA, Probabilistic PCA, Nipals PCA,
     Inverse Non-Linear PCA and the conventional SVD PCA. A cluster
@@ -16,7 +29,7 @@
     data structure (pcaRes) to provide a common interface to the
     PCA results. Initiated at the Max-Planck Institute for
     Molecular Plant Physiology, Golm, Germany.
-Version: 1.92.0
+Version: 1.94.0
 URL: https://github.com/hredestig/pcamethods
 BugReports: https://github.com/hredestig/pcamethods/issues
 Encoding: UTF-8
@@ -31,12 +44,12 @@
         'optiAlgCgd.R' 'orth.R' 'pca.R' 'pcaMethods-package.R' 'ppca.R'
         'prep.R' 'repmat.R' 'robustPca.R' 'sortFeatures.R'
         'svdImpute.R' 'vector2matrices.R' 'xval.R'
-Packaged: 2023-04-25 22:11:44 UTC; biocbuild
+Packaged: 2023-10-24 22:26:15 UTC; biocbuild
 biocViews: Bayesian
 RoxygenNote: 6.1.1
 git_url: https://git.bioconductor.org/packages/pcaMethods
-git_branch: RELEASE_3_17
-git_last_commit: ecbbc5b
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: 5bb47fc
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-pcamethods (1.94.0-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 08:51:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: r-bioc-pcamethods
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-pcamethods
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-pcamethods.git
-Homepage: https://bioconductor.org/packages/pcaMethods/
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-biobase,
                r-bioc-biocgenerics,
-               r-cran-rcpp (>= 0.11.3),
+               r-cran-rcpp,
                r-cran-mass
-Testsuite: autopkgtest-pkg-r
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-pcamethods
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-pcamethods.git
+Homepage: https://bioconductor.org/packages/pcaMethods/
+Rules-Requires-Root: no
 
 Package: r-bioc-pcamethods
 Architecture: any

## r-bioc-pcamethods 1.96.0

=== DESCRIPTION ===
--- 
+++ 
@@ -29,7 +29,7 @@
     data structure (pcaRes) to provide a common interface to the
     PCA results. Initiated at the Max-Planck Institute for
     Molecular Plant Physiology, Golm, Germany.
-Version: 1.94.0
+Version: 1.96.0
 URL: https://github.com/hredestig/pcamethods
 BugReports: https://github.com/hredestig/pcamethods/issues
 Encoding: UTF-8
@@ -44,12 +44,13 @@
         'optiAlgCgd.R' 'orth.R' 'pca.R' 'pcaMethods-package.R' 'ppca.R'
         'prep.R' 'repmat.R' 'robustPca.R' 'sortFeatures.R'
         'svdImpute.R' 'vector2matrices.R' 'xval.R'
-Packaged: 2023-10-24 22:26:15 UTC; biocbuild
+Packaged: 2024-05-01 05:16:44 UTC; biocbuild
 biocViews: Bayesian
 RoxygenNote: 6.1.1
 git_url: https://git.bioconductor.org/packages/pcaMethods
-git_branch: RELEASE_3_18
-git_last_commit: 5bb47fc
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: a97ba23
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-pcamethods (1.96.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 16:32:59 +0200

r-bioc-pcamethods (1.96.0-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/control: bump minimum versions of r-bioc-* packages to bioc-3.19+
    versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 17:32:50 +0200

r-bioc-pcamethods (1.96.0-1~0exp) experimental; urgency=medium

  * Team upload
  * New upstream version
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 16:29:25 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biobase,
-               r-bioc-biocgenerics,
+               r-bioc-biobase (>= 2.64.0),
+               r-bioc-biocgenerics (>= 0.50.0),
                r-cran-rcpp,
-               r-cran-mass
+               r-cran-mass,
+               architecture-is-64-bit
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-pcamethods
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-pcamethods.git
@@ -21,7 +22,9 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-biobase (>= 2.64.0),
+         r-bioc-biocgenerics (>= 0.50.0)
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: BioConductor collection of PCA methods

## r-bioc-pcamethods 1.98.0

=== DESCRIPTION ===
--- 
+++ 
@@ -29,7 +29,7 @@
     data structure (pcaRes) to provide a common interface to the
     PCA results. Initiated at the Max-Planck Institute for
     Molecular Plant Physiology, Golm, Germany.
-Version: 1.96.0
+Version: 1.98.0
 URL: https://github.com/hredestig/pcamethods
 BugReports: https://github.com/hredestig/pcamethods/issues
 Encoding: UTF-8
@@ -44,13 +44,13 @@
         'optiAlgCgd.R' 'orth.R' 'pca.R' 'pcaMethods-package.R' 'ppca.R'
         'prep.R' 'repmat.R' 'robustPca.R' 'sortFeatures.R'
         'svdImpute.R' 'vector2matrices.R' 'xval.R'
-Packaged: 2024-05-01 05:16:44 UTC; biocbuild
+Packaged: 2024-10-30 02:08:17 UTC; biocbuild
 biocViews: Bayesian
 RoxygenNote: 6.1.1
 git_url: https://git.bioconductor.org/packages/pcaMethods
-git_branch: RELEASE_3_19
-git_last_commit: a97ba23
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: 19b67d5
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-pcamethods (1.98.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 03:49:23 +0100

r-bioc-pcamethods (1.98.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Nov 2024 15:28:23 +0100

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biobase (>= 2.64.0),
-               r-bioc-biocgenerics (>= 0.50.0),
+               r-bioc-biobase,
+               r-bioc-biocgenerics,
                r-cran-rcpp,
                r-cran-mass,
                architecture-is-64-bit
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-pcamethods
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-pcamethods.git
 Homepage: https://bioconductor.org/packages/pcaMethods/
@@ -22,9 +22,7 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends},
-         r-bioc-biobase (>= 2.64.0),
-         r-bioc-biocgenerics (>= 0.50.0)
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: BioConductor collection of PCA methods
